Bug 88599 - autofs fails to mount Win2000 shares after reboot
autofs fails to mount Win2000 shares after reboot
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: autofs (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-11 04:24 EDT by Vova
Modified: 2007-04-18 12:52 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-02 13:48:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
testcase of automount smbfs freezing (3.20 KB, text/plain)
2003-05-07 13:08 EDT, Steven Weigand
no flags Details

  None (edit)
Description Vova 2003-04-11 04:24:33 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.1; Linux)

Description of problem:
I've been setup autofs program man as following:
$ cat /etc/auto.master
/mnt/net        program:/etc/auto.net

$ cat /etc/auto.net
#!/usr/bin/perl
($hostname,$share_name) = split(/\./, $ARGV[0], 2);
print "-fstype=smbfs,credentials=/etc/auto.smbpass\t://$hostname/$share_name";

$ sudo /etc/init.d/autofs restart
Stopping automount:                                        [  OK  ]
Starting automount:                                        [  OK  ]

$ ls /mnt/net/hlt.distr
..... All works well.....

But after I reboot my computer, the following bug appears.
$ ls /mnt/net/hlt.distr
ls: /mnt/net/hlt.distr: No such file or directory

$ sudo cat /var/log/messages | tail -4
Apr 11 12:10:23 kiev145 automount[2062]: attempting to mount entry /mnt/net/hlt.
distr
Apr 11 12:10:24 kiev145 automount[2420]: >> SMB connection failed
Apr 11 12:10:24 kiev145 automount[2420]: >> 2423: tree connect failed: ERRDOS -
ERRnoaccess (Access denied.)
Apr 11 12:10:24 kiev145 automount[2420]: mount(generic): failed to mount //hlt/d
istr (type smbfs) on /mnt/net/hlt.distr

But after I restart autofs all works well again. Why ?????
NOTE: Whis UNIX samba servers all works well always.

The second bug is thet sometimes 'ls' freezing while trying to mount autofs, but after Ctrl+C and starting 'ls' again all works well.

Version-Release number of selected component (if applicable):
autofs-3.1.7-36

How reproducible:
Always

Steps to Reproduce:
Described in description
    

Additional info:
Comment 1 Daniel Tschan 2003-04-22 09:12:21 EDT
I can confirm the second bug. The automounter regularly freezes while mounting
smb shares. After pressing ctrl-c the share is mounted anyway. Sometimes I get
the following warning in the system log:

kernel: autofs warning: lookup failure on positive dentry, status = -4, name = misc

The very same configuration worked on RHL 8.0 without problems.
Comment 2 Daniel Tschan 2003-04-23 09:48:15 EDT
After replacing the kernel with vanilla 2.4.20 the problem disappeared. But Red
Hat kernels 2.4.20-8 and 2.4.20-9 are both affected.
Comment 3 Steven Weigand 2003-05-07 13:08:25 EDT
Created attachment 91533 [details]
testcase of automount smbfs freezing

This is a testcase of this automount freezing bug.
"#" precedes commands executed as root
"$" precedes commands executed as user
"<>" surrounds comments
output from commands is abbreviated
Comment 4 Bill Nottingham 2006-08-05 00:04:33 EDT
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.
Comment 6 Bill Nottingham 2007-01-02 13:48:00 EST
Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
f you are currently still running Red Hat Linux 7.3 or 9, you are strongly
advised to upgrade to a current Fedora Core release or Red Hat Enterprise Linux
or comparable. Some information on which option may be right for you is
available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.